#include <algorithm>
#include <iostream>

#include "SDL/SDL.h"

#include "board.h"

using namespace std;

int main () {
	
	SDL_Init( SDL_INIT_EVERYTHING );

	const SDL_VideoInfo *videoInfo = SDL_GetVideoInfo();
	SDL_Surface *screen = SDL_SetVideoMode( min( videoInfo->current_w / 2, videoInfo->current_h / 2 ), min( videoInfo->current_w / 2, videoInfo->current_h / 2 ), 32, SDL_HWSURFACE );
	Board *board = new Board( screen, 3 );

	if ( !board->run( screen ) ){
		delete board;
		return 0;
	}

	board->showWinner( screen );

	SDL_Event event;

	while ( 1 )
		while ( SDL_PollEvent( &event ) ){
			if ( event.type == SDL_QUIT ){
				delete board;
				return 0;
			}
			if ( event.type == SDL_KEYDOWN )
				if ( event.key.keysym.sym == SDLK_F4 )
					if ( event.key.keysym.mod != 0 && ( event.key.keysym.mod & KMOD_ALT ) ){
						delete board;
						return 0;
					}
		}

}
