#ifndef SET_H
#define SET_H

#include "SDL/SDL.h"
#include "SDL/SDL_gfxPrimitives.h"

#include "block.h"
#include "color.h"

class Set{ 

	private:
		
//		Blocks
		Block **set;

//		Graphical Cordinates of the set
		int _x, _y;
		int _width, _height;

//		Number of Blocks in a column and in a row
		int _size;

//		Draws a block
		void drawCircle( SDL_Surface*, int, int );

	public:

		Set( int = 0 );
		Set(const Set&);
		
		~Set();
		
		void draw( SDL_Surface*, const Color&);
		bool putPiece( SDL_Event event, int );
		void rotate( SDL_Event event ); 

		void setX( int );
		void setY( int );
		void setCor( int, int );
		void setWidth( int );
		void setHeight( int );
		void setSize( int );

		int x() const;
		int y() const;
		int width() const;
		int height() const;
		int size() const;

		Block *operator[]( int ) const;
		Set& operator=(const Set&);
		bool operator!=(const Set&);
};

#endif

